
import 'dart:async';

import 'package:flutter/services.dart';

class Outerboxtsc {
  static const MethodChannel _channel =
      const MethodChannel('outerboxtsc');

  static Future<String> networkPrint({
    String ipAddress,
    String customer,
    String product,
    String productSub,
    String number,
    String currentDate,
    String currentTime,
    String variance1,
    String variance2,
    String variance3,
    String variance4,
    String option1,
    String option2,
    String data
  }) async {
    final String result = await _channel.invokeMethod('sticker', {
      'ipAddress': ipAddress,
      'customer': customer,
      'product': product,
      'productSub': productSub,
      'number': number,
      'currentDate': currentDate,
      'currentTime': currentTime,
      'variance1': variance1,
      'variance2': variance2,
      'variance3': variance3,
      'variance4': variance4,
      'option1': option1,
      'option2': option2,
      'data': data
    });
    return result;
  }
}
